Last Comment Bug 713991 - Geolocation fails when used with large number of access points
: Geolocation fails when used with large number of access points
Status: VERIFIED FIXED
[qa!]
: regression
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: 10 Branch
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
: Andrew Overholt [:overholt]
Mentors:
: 713067 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-28 17:43 PST by Geo Mealer [:geo] -- This account is inactive after 2015-07-07
Modified: 2012-02-28 16:18 PST (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
verified


Attachments
Failed response in a text file (14.13 KB, text/plain)
2011-12-28 18:13 PST, Geo Mealer [:geo] -- This account is inactive after 2015-07-07
no flags Details
Successful response from 8.0.1, same environment (5.08 KB, text/plain)
2011-12-28 18:21 PST, Geo Mealer [:geo] -- This account is inactive after 2015-07-07
no flags Details
geo location : nhirata's log (1.09 KB, text/plain)
2011-12-29 09:31 PST, Naoki Hirata :nhirata (please use needinfo instead of cc)
no flags Details
patch v.1 (1.54 KB, patch)
2011-12-30 11:37 PST, Doug Turner (:dougt)
no flags Details | Diff | Splinter Review
patch v.1 (1.74 KB, patch)
2011-12-30 11:40 PST, Doug Turner (:dougt)
gmealer: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review
Console Log Wifi Geo Share Location Twice Quickly (2.43 KB, text/plain)
2012-02-28 15:37 PST, Jason Smith [:jsmith]
no flags Details

Description Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 17:43:03 PST
No geolocation requests appear to be succeeding.

Observed on 10.0b2 build 1, OS X 10.7.2

Build identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0) Gecko/20100101 Firefox/10.0

STR:

1) http://mozqa.com/data/firefox/geolocation/position.html
2) Click Share

EXP: Coordinates
ACT: undefined

1) http://www.browsergeolocation.com/
2) click Share

EXP: Coordinates
ACT: Spins forever.


1) http://html5demos.com/geo 
2) Click Share

EXP: Map
ACT: Failed

Tried both immediate Share and "Always Share." Sites confirmed working in 9.0 release.
Comment 1 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-12-28 17:50:27 PST
With a fresh profile on ffx 10b2 on 10.6.8:

1) http://mozqa.com/data/firefox/geolocation/position.html did come back with numbers but no map. (ie 37.38832170000001 -122.0831478)
2) http://www.browsergeolocation.com/ did come back with numbers and a map
3) http://html5demos.com/geo comes back with a map

Results are consistant with always share and immediate share.
Comment 2 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 17:54:48 PST
Correcting myself, sites confirmed working in 8.0.1: http://hg.mozilla.org/releases/mozilla-release/rev/463b6cbdef7c

9.0 builds fail to resolve geolocation on my Lion box as early as RC1: http://hg.mozilla.org/releases/mozilla-release/rev/34852484d0ae
Comment 3 Doug Turner (:dougt) 2011-12-28 18:03:17 PST
can you set "geo.wifi.logging.enabled" to true, restart, try again, and post the console log?
Comment 4 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 18:10:14 PST
Running the MozQA one (first case):

*** WIFI GEO: startup called.  testing mode isfalse

*** WIFI GEO: watch called

*** WIFI GEO: onChange called

*** WIFI GEO: Doomed:1992

*** WIFI GEO: ************************************* Sending request:
https://maps.googleapis.com/maps/api/browserlocation/json?browser=firefox&sensor=true&wifi=mac:00-1a-1e-15-3b-12%7Cssid:Mozilla%20Guest%7Css:-48&wifi=mac:00-1a-1e-15-3b-16%7Cssid:Mozilla%20Mobile%7Css:-48&wifi=mac:00-1a-1e-15-3b-10%7Cssid:Mozilla%7Css:-49&wifi=mac:00-1a-1e-12-70-02%7Cssid:Mozilla%20Guest%7Css:-55&wifi=mac:00-1a-1e-12-6e-d2%7Cssid:Mozilla%20Guest%7Css:-58&wifi=mac:00-1a-1e-12-6e-d6%7Cssid:Mozilla%20Mobile%7Css:-59&wifi=mac:00-1a-1e-12-6e-d0%7Cssid:Mozilla%7Css:-60&wifi=mac:00-1a-1e-15-3e-21%7Cssid:Mozilla-G%7Css:-61&wifi=mac:00-1a-1e-15-3e-22%7Cssid:Mozilla%20Guest%7Css:-62&wifi=mac:00-1a-1e-12-6e-c1%7Cssid:Mozilla-G%7Css:-62&wifi=mac:d8-c7-c8-95-19-f1%7Cssid:Mozilla-G%7Css:-63&wifi=mac:00-1a-1e-12-70-12%7Cssid:Mozilla%20Guest%7Css:-63&wifi=mac:00-1a-1e-12-70-16%7Cssid:Mozilla%20Mobile%7Css:-63&wifi=mac:00-1a-1e-12-70-10%7Cssid:Mozilla%7Css:-63&wifi=mac:00-1a-1e-15-3e-30%7Cssid:Mozilla%7Css:-64&wifi=mac:00-1a-1e-15-3e-32%7Cssid:Mozilla%20Guest%7Css:-65&wifi=mac:00-1a-1e-15-3e-36%7Cssid:Mozilla%20Mobile%7Css:-66&wifi=mac:00-24-b2-c6-87-20%7Cssid:Cambridge%7Css:-67&wifi=mac:d8-c7-c8-94-8e-ee%7Cssid:Mozilla%20Mobile%7Css:-69&wifi=mac:d8-c7-c8-94-8e-ea%7Cssid:Mozilla%20Guest%7Css:-70&wifi=mac:00-1a-1e-54-57-06%7Cssid:Mozilla%20Mobile%7Css:-71&wifi=mac:d8-c7-c8-94-8e-e8%7Cssid:Mozilla%7Css:-71&wifi=mac:d8-c7-c8-95-19-fe%7Cssid:Mozilla%20Mobile%7Css:-71&wifi=mac:d8-c7-c8-95-19-fa%7Cssid:Mozilla%20Guest%7Css:-72&wifi=mac:00-24-b2-c9-0f-7e%7Cssid:AnnounceAnnex-2.4-G%7Css:-72&wifi=mac:d8-c7-c8-95-19-f8%7Cssid:Mozilla%7Css:-72&wifi=mac:00-1a-1e-54-57-02%7Cssid:Mozilla%20Guest%7Css:-72&wifi=mac:d8-c7-c8-94-92-08%7Cssid:Mozilla%7Css:-72&wifi=mac:d8-c7-c8-94-92-0a%7Cssid:Mozilla%20Guest%7Css:-72&wifi=mac:d8-c7-c8-94-92-0e%7Cssid:Mozilla%20Mobile%7Css:-72&wifi=mac:d8-c7-c8-94-93-6a%7Cssid:Mozilla%20Guest%7Css:-73&wifi=mac:00-1a-1e-66-2c-72%7Cssid:Mozilla%20Guest%7Css:-73&wifi=mac:d8-c7-c8-94-93-68%7Cssid:Mozilla%7Css:-73&wifi=mac:00-1a-1e-66-2c-76%7Cssid:Mozilla%20Mobile%7Css:-73&wifi=mac:d8-c7-c8-94-93-6e%7Cssid:Mozilla%20Mobile%7Css:-73&wifi=mac:00-1a-1e-66-2c-70%7Cssid:Mozilla%7Css:-73&wifi=mac:d8-c7-c8-95-19-f2%7Cssid:Mozilla%20Guest%7Css:-74

*** WIFI GEO: ************************************* ------>>>> sending.

*** WIFI GEO: service returned: <!DOCTYPE html>
<html lang=en>
  <meta charset=utf-8>
  <title>Error 414 (Request-URI Too Large)!!1</title>
  <style>
    *{margin:0;padding:0}html,code{font:15px/22px arial,sans-serif}html{background:#fff;color:#222;padding:15px}body{background:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAKsAAADVCAMAAAAfHvCaAAAAGFBMVEVYn%2BH%2F%2F%2F%2Bex%2B3U5vd7s%2Bfq8%2Fs0itq72PMLUPvtAAASvklEQVR4AbXBC0JqCQxEwT5Jd7L%2FHc8FdR4g%2BEGtEr8u%2FBHxu7otdzd%2FQPyqlmRp1Pw%2B8aukDfRa1fw28ZtWy4sa89vEb7LCi0zx28RvqgkvouW3id%2FU8pbtWmv5beJXRWNrRmp%2BnfhlHXZm%2BQPi95Vk%2FoD4fZbMHxC%2FryTzB8Tva435A%2BL3rcb8AfH7VjJ%2FQPy%2BHYk%2FIH5facwfEL8iaZcrnKyn%2BAPi57K2VL2WF1hJ%2FAHxQ2tJrg6HteXVjPkD4ge6V3J1%2BF97zhx%2BnXhWb8nacKXlnYPErxNPyfqw4ZYKVuUZdfhd4hmxunY73NICgfWMOvwm8ZQ1pMvlDZdaCic98kjV4beIp8ScpLvsSvhflzqQmqVLB281v0E8pc2bdNne8EayNTPNSbt02PBj4intcKltb%2FNibY%2BLf9aSO%2FyMeMo6XMva3g0vwrWsxvyMeEoc3knZ2g53ZaXa8DzxlHa4J23Jae5aycXTxFPa4WRdXAtdsivckZXG4TniKWtOSlre6y7LG651Wxq5OzxDPGUVIKNwX6ekCv%2B0ddglVPMM8ZQ10FJ4LGVvOEuXRl7OqnmGeEor4Ck%2BtnI1ZEvjDa%2FcPEM8ZQVY4RO9VqUlN%2F84PEM8JQ50cUgXH2mrKlyq5RniOQ4vVjPLHdu86OKGi2eIr%2BgNV6JwljmYO6zlbJsbWp4hPtVrjYpLLV7UHIp7rOVkixtaniE%2BU5I2Nc2FKJytZhTuiac5rLnh4hniEzUbDjXhn3g5W0nNA1aAKm7YPEN8bMecrZYLWl70hkcyBay5YfMM8aHI4aR7xAUVHyirOdhAmRsqniE%2BtOKsRjIXtDzmmRGHVmDFDRfPEB%2BJzMmO01xScdYnVRs6vPHMFG9W4ZrMM8RHouWw43DNhlDWiSVZY3nDoWYc3qzDNZlniPe6w4uoOFjcKhPXuJNWyG6VqjSuhm7%2BiZorUfEM8U5J8nKyMw0tcZLwPxdRtTlUcUgVdGlml0uZ4pqKZ4hr5VUnpSXdUgVa4hA5vHERV1Tp9XhdJTWHksYd%2Ftdarql4hrjQiaPiYLclNSeebVYz5o0W7Ghsa9blmlFtx01rxP8yy5XIPEP8L1W7bjWHlbzhRTwjzXrCK1f3qqSEyBysLVtayKp40yqurcITxJtUgavVHNob%2FinZTWt5VVvWVKvJSttQCkRjb%2FA4vLK5thOeIN6sm9ai5cTFhYRDy%2FyTGpdU0hxkaZvWUrZluTmLims14QniVbywClqgeouT9IZXNWoupGzNqHa3y5LGVYBnipbCSVxcq1meIN54oRXsbEk26S3NmBcZ807K3gon2ZLcxF5tPMVJprlWE54g3nihtbRHm7WjkbxTHSCWwj1r2U4HSMmdQEmWwonNtah4gnhjA9ZSaohmpnpDjWRptDwS25LcQGsc2Bla5sTFtZV4gnixpWmIVWpgRuVwsiV5q7kv0JJcNVIFapydUrHTQKa5IfMEcRKrurSQ0qhsmVR4kea%2B7pIr9NqSrRltWlaxomUgVVyLxBPEYeUGygtszew2KfOBclVpVN2ctCXNidZaaKWmONhc6rKaJwi6xuGkRmWpAkRa7outF9XN%2F7LlmbJmpiCyvBxk%2FtnSqHmGWGk5i2ZcaWBLau5KKHt3Ce%2FsaLMz46VG4cTFm%2FaMOzxFUYWztjzhkNI43JPyYvPAegPxzFRpOYmWF1WywrPUag5xjRapqqxxubijvYFVaC%2Fv7YSDpzxjzlbhpKXxhqcpWshqtECk0Yys6m5utZdD1LCuCifhfyVOapqsxhyiQMmSm58QNdZheZGV5FqwueXiZBUga28DvRte1NQCpQVSUkFqPbIr%2FIxg7arwJqqEg6e5Vuas1Zytyw1ka5uT9ajKI87WbksaLT8mbkXFyWqaa2rOVuFVStUNpGrDoSTPmDfWdlby8kPiHQtoa0vLpXU4WzX%2FS5W2gWxtOHQ24U3CSUmu8BPinR2XVSFyuNAOZ9Fyae1qDu2qcF8suRKeJt7pcW1zaE9xwcVZq7nWtpeTrQ0PrEeq8CTxnsWrlbThELra5ixqbsXWNoeq6nBft6TlOeK9VnG2lfb4TKOOlpOouKPsWg4pb3Nf1uMGusP3iDtKDaTcgMuWvL1FmZOouCtlbwJs1Yb7SuN2Nd8k7mgvXV4OKWALiGkVJ14eyPqQQG9Vc0dWGnn5LnFPTW1z1gW0OdSyag5aHsvaroVs1YZL2dKMt1nzXeKulas52QLanGy3xq4a87Eu2yHZ2uZNWzPjDbDmu8R9a8m7iQNscbKyy%2BWS%2BUzWtqp7qzpA1jPj8KKK7xIPZG2NVWTTSbpKbs5cfEF6y64qV6ctqcKbdvgm8VhSlnWwJbuaV3LzRb11onFt%2BKcVvkl8one7u3bD%2FzJuXnRt%2BFTXVHOWqubQ4rvEEyI1L1Z2h8%2B0eRHLKiBqvkk8IePmxZq1lk%2B0w0nJUHKIlm8ST8ioeVEFtFwbPhA3h8gcdpZV803iCRkVL7Y42bK2w0NlDqXlpJRV803iGZYrnFRxlqwO3eEuN4dSOGlVme8Sz7C37QZqeZPekl0b3nMBreKsp1bNN4lnWIEtF1Vc6i1bVZtwxQX0NC9UrfBN4hk7zaHLNrey1kgVLljATnO2rmj5JvEMqzlrF%2B%2BFXitcsAArnFkdLd8knrFqPmFzyQq0xUm0tJZvEs8oAR0eix0u1ARSqg70NNHyTeIZUqgZ85gdLlgcMjOSRlBqvkk8wwOSp3moJlyoCYfeKkmBVvgm8YyaUJJ5zOJSTXMWSgus%2BC7xjJpA%2BMiquVATXiUcSuGbxDNqmk%2BUxtW82WmurMI3iWd4wifaHo1rNxx2miul8E3iGTXhc4nH0lQ1O80VK3yTeEYNX5SspbEnXFmFbxLPqGm%2BrsvWFFdK4ZvEM2rCt6RmzCWL7xLP2Anfs2M3Fyy%2BSzyjpvmqDoed5YrFd4ln7DRftHI19BRXSuGbxDN6wtdEqjF4lisS3yWeEYUvWlkDNeZKTfgm8ZFu7mqFr%2FKMYae4lFH4JvGBVLgraghf09uQMZdabr5JfKC2q1zV3IgarOLLPMWllptvEo%2B1e7dkq5ZrLkip%2BKqa4lLk5ZvEY15INay9XIqXVGS%2BqsdcirzclYVa7hAPbQFVnJSaC9HCapavqjGXIjXvbNmSxi7eE4%2BsA21OumwuSQUJX1ZjLsVabqR6t7tUlrThhnjEC%2FFy6AKbCy45zdftmEutKm5UcSgHspY7XBEPVAFVHLoCUXPFkr3hi2wutba44QDr5iyeqQ3%2FiAccqOLQDhAV17pG0jZfUuZS5OJaGYiWF%2B2ypOV%2F4q5UQZtDu4G2xK10aeTlC1bhUslciQpYh7PSQtau8ErcVYZ4gXYDcUXLe1lrvBU%2B0VoutFRcWQWo4qwdTlYSr8Q9caDMwc3BDgl3xZpRb%2FORnuVCJHNlla2oOYmLQ8q7Ll6Ie6pgDaQKSCl8IF3WqAgPrbgU2VxpV1kje2EdoOWGlsOJuKMd1g14OdjNp1YjNY%2B0m0s15kYgJVlaFxBVOETuAOK9eEELrDmUli%2Fo8oy94S4Xl2LzQGukEFU46RptQLy3BWWgHSBTvEp32eGRtjTjSriQBKLlShUPrSRcnK2qtIB4Zw3tQNRAbF5FB0vhoS57JFXzZmUtuLiy5gNlTTixlkgB8Y4byhAX0HJ4Y%2FcmWkjz0NrSaMNJ5EiNi3%2FSpPlIayqA3UBcIG5tQTuwBcQOJx3AsrSzxHJ4bKs9U5xoqWnK4U17%2BUzPFLQ4iQ3iRtxQC3gBK5xZJjOutcaSpeYjsUZqKFmGOLxIaflU1jI2ZzuLuLGuLe2yBlrLC1tdWg7ZmWal8KHeGtXG0gLLSdZyha%2BoKYdDl7WIGxpbI7lSicyLqFkH2rVZF%2BwUnymNXNu8WUkVLqSaB6IpIGWXF3Ft1UC6rRq3mhc7TRXgLS2lrKb5VEoz6nCSrtE2V6p4aMeQ8tJaxLU4nGU9o%2BXVTrMF%2BLBgjYqvSNkjL%2BDxhmut5tDb3CF1uwJoEdday6vMTHjVs7GA3g3QU8tXxZJc6Q23yhxWckPCtZW1nLgQ12KFF5Ed3pQ0U7yKp%2Fi6YM%2FI4dZOA3FRRdvhSmaWMxtxI3JzVlP8k9qsVFWdbVvTfENCjcytUoBW46XscE3DizLi1o6KQ4%2FDlZRsWSfBCt%2BSdHGrzGHFOtjFtUgNNJQR78Qjr%2BVwzV4I65SazPJzrQbKq6bl5kapU7bbRryXLo3c3LATYIfMEs3yc1bA44bScqumvJ21jLgrhHdSktNWkONR%2BLmULMnbpQm3pOWkZxHf0R7NKKykDr9iq3ptuexOuJQRZ5lCfE96K5Ct5iNpe118WQKxVeGCxnYDmUL8iUjb2%2BXmexIu9Di9XtgpxJ9wcehuOzwt1gJx4ynEM9K9tS5X7fLempP2dmnDczwjTlLYi%2FiCnHXSe9LWic9k3qvlRTltLU%2Bp2lE1sKUG8bm2DiNpNBpJu5vwwuEdLa%2FWy6p4JL27Dg%2B0pUBsQHxu67C1Vb2dpLlU5h3bG87aS0vNXWtJtip0bbjDhqgB8TkvH1g115qttnfDoW0oNe%2B1Rs0hlqVRc8cSmYP4XBUfUXHNlQ5tqzkpNaXmHVV4lVpq1NxjhYP43JqP2FwracOh7OZQDuXmRmu5sjMO75SWE%2FE5F4%2F09s5wI5abQ0rFoVxZNTes7e7wvy053NpwJj7n4kVCDt29teWypJHFOy0VJ6sN0CrK4dpakmv5pxQeEZ8rQ%2B9alnU2knyo2k64Ix4vh5I5sVNarqW3u8z%2F4mkeEZ8LrCxXtbfWu9t8qqQK0DKHVtEubrWm%2BZ9VPCS%2BJN1828oB4gqwalrFtUjNP3bzkPg7sdXAyhyssF4upWb5Z8c8Jv5QWmpgVRxUsGoulMw%2FPQqPiZ%2Fp8JGVOLQWKAW6%2BCcyF2qGD4gfibe2ead5lXEDpQAu0rv8r2WgtZxl1Twm%2Ftls1HxHK7HDjZV51VIgWmBlSeMKr%2BxseZYXq%2BUx8aY0MxrvVnUC4XNxgYtrJY15taMmNlAztd0lhxfW6MChC1rFY%2BLVjlwzKutVdfhE7xjKXEiX3CuHFzWG0lLycogUXnTtxuaws6DiMfFK09kZQ9K1VSvJ3oRHslIFWuGftdzQUoWzlYONinBILRdaC8TTYPO%2F3nBFnKxLG2um%2BKfXOrg6vBdLrvJSCm9SJpy0RtucrMRq1Zy1woUy0B4HbN60ex0uiEN0KLk1xZXs2paKW9FIqrJrzP%2Fs5k17tJz0GE%2FxohwulGElOUTmTRWl5oI4lKRRsTPhVpIdc6sl10IsFW9WXNpROPH0TkGAVnFpx5a63WSKN5HVXBKwc1btEffsNO8kvBObS5lZTnaUMXFYqbnUltwg75h%2FusMVATXleWW7qk1Xb8KLVfiKlsIlj9Sc1FhFtjITboSTlSp8QMCO5JU11bb1ZlQdIHL4iprmktWROclqGlaWmvsSPiRAIy3lcAhk05vsWgfbU3xFVFyRWTUvSqqa2S7zHEFmRikt7yS18kxxFj6yY67UbNu86U6qIApPEUSasZb7Ek0DqXh5LHa4lDFWc6kd4uUpgsiaKR6pKQ61uHmsZrmyk1ZxpQ1oeYoAzaG4ry1zsuXisVJxpeQdc60N2DxFgGckc1ePixdpHkjVjrnS0kpc6u5SwMtTBKxkybUJN3bUfCaulsMVTVvNP%2BmyNQVe7tjlE%2BJFb1mSLVfV9jaHHS2fiao15sqOd4pL29ArbxXvldV8TPwv6XVV6YXtGTefiiqaMRei2TFXKpzUONxKFWo%2BJt5J0ltlzQxfsCqimSpv86KmrHApBbXA2s2NuKPwMfFQvOELWgvsnEjVQMYtc2UXqjm0xI0yq%2FAx8T0JtyJz8DiekWpjxWoupRqqOamp5VJPsXJt9256wz3iW8oOt1xNaWah3NZJZK7UAg6HLo%2B5tFPgke2SreUe8R1rO9xayTpALFaa2Z3mUhyo4qQ6I67MbLlsyyfFPeI71m7ey0orw2pL256WuFILVHOI41mu1IyK3u0q28094nvCXQHLtqyF9Gq5tA7E4bAViRsrNW%2FCXeK3lDTVVoBI4ZIDVHFYpbTcyIbPiF%2FTSbPT3SUtl6qAuDl4W8UzxC%2Fz6CRciALUcijT4inil%2FV2p4pLtUDcwCol8xTxF8KlKg5VQGtb4jniz7UbWAcox%2BJJ4s%2B5OLiAVnuKJ4m%2FtuawBURbszxL%2FLF4OXgh9s7yNPHHqjisgVLLPE%2F8rXYD7UCrVsXzxN%2Bq4uAGrFj8gPhTXRzKwGprmh8Qf2rlot2AvSp%2BQvyl1nikAlprh58Qf0lqolGBarX8iPhLZWBVqnVsfkb8pTaHcru61PyM%2BEtrDq2UW8sPib%2FUChBvbIcfEn%2FKxWGrpeWnxJ9qVYDyVPgp8bfa2qRmmh8Tf21lq5qfE38uveE3%2FAdr385%2FSVd%2FMAAAAABJRU5ErkJggg%3D%3D) 100% 5px no-repeat;margin:7% auto 0;max-width:390px;min-height:180px;padding:30px 0 15px}* > body{padding-right:205px}p{margin:22px 0 0;overflow:hidden}ins,#g{text-decoration:none}ins{color:#777}a img{border:0}#g{background:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAJYAAAA3CAMAAADZn0ObAAABgFBMVEX%2F%2F%2F%2Fy1pHuLjfMm2W4yfA1TrPukgZDats3V8fwTEypjWy8u7oPsSWVsOoBdwwClhI%2FZdlasGjpOUOVlJjx0c20CyZpea36pAdIdebyu7COlqpYaql2hLH40Gn59vayuMlZiOunpqjYGy9wiNLd5PRqlOzzcmz%2Fwi4FpRrqsDisbm7O2O%2FKycrGfHmdo7CFmdPs7Ozz8%2FPIDSvcFC%2BTR0vCw8Xj5OTc3Nynvu7l6%2FfVjyw7Xc%2FSMT%2FZbgbT09NDbuHKz9BKf1Hr5ubiHTLt8vz%2Btxj1%2BOrT1txYedhLcNfwjYjTES6yq6r27Oqnq7NJZsiykpDNEiyxUVOTptiys7LNs6%2FhegO3p5L46MRveZiXcHBFXbY5dkLUysj0Pj9OfOjRS1JVZZzMrZGoXWCzKjn%2BrgpcdsflfIKh26frpKHJGzIqxDe4cC2AoOnOXl%2FYaWx204D4XVWsPEjRXwXqoRqYFSnN5dBhfMwZjipRaLvUmpk3x0SualZBXcJIV5A9nk5h34NHAAAJe0lEQVRo3u1YC1fa2BYGBBJA2lSeRjzyUKmQQgJNAoYhlJciiKJYHx2hYm2rre2140zHmem9f%2F3uE16JOpVZpcuuu%2B5eLpeSsPOdb3%2Fn2%2FtEp%2Ft%2FdAOV3%2F4L4tGj39DI3ynOp%2BznEPaUcZ77LqjKb%2F989%2Be7d5OPreKIDygaz9teWSYIgpJlb9u%2FnUqj8cP6jX87OTn58Pd6dqTkabvfS6z66FgsEKN9rymi4l31x6NjB1YWeODqwTNbfpTURgDlpgNNPrciilmGj7kpQEZQIaE4bmDcJIbFsyPUD6iq%2BGK2rMAhWARCnJCNbVAUJZlCwrgJ44Cth8%2F4u6U1f%2B4nrhwBRs0rYvkr0mQ6CqyMvY5KEe%2BGVTz3y18czetbgxM3TEcO29jZQiD5EYqIoILSfl3UPB7%2FEzW5AdX4nWtyJLZSfi81E8jdvM04Z%2BOF7%2BBdI0l%2BfsFPbDhuuwsJYn78zgVsvRuBLVzCmYB42%2FPRjQ%2B%2FFSUatYhpv18m923sSDmd02uLb9ZOnTdSoj19GMesfq94DXoxajSmcNjt9nP7vALroaaI65B1cXFtWl2a1IKX%2BuIYpROg6YtWy2IxtOD3mra6e7Ph8FJnYqlUAmR76ksoeu5vt%2F0QbS9BUXGoyjW21tcsEDiz5XS4XOiD1FXgbmUj52Lrw2ataatZpyAs00P3L8%2BGS52mzcbYdjGwkp4bAIv65VA8vkrIXmgibndgDlyoxxbXS3thmKjVms0nsNypjyzq17AN0mreXUOg6knNlhUFYWXnpWFqqvAH1xfgbHhpN8CLLMsKzNJJqXTSYfvW027XAe8cTcEA8Dlg40Xc%2FcHkB7CmLwyb8F3I2pkyGApP2P5yvLLkvltagOqDg1esFbGHUwVDIbnDDriy1rPdf7js5UnpxNNBvd0k082sAHDj0Mgo3wrbk%2FwAlvOiFQkcYkUgdsKQDJ71koJpEZL7rt0KFbQYHAC%2B%2Bzjuj0KhkMxklW%2FthcPLjqHrdU5OTjyXilah%2FbsDue5KQhRBSXPdZw7ZWsdpe%2BJHzmDD5Yp0LcHexmzd5W1o7cKwpTIR9iXAqkbymKxw%2BNLazA%2BHzyWAZe4Ar8UFv%2BzuXUE5SqYkd7bL1gAW1ODlIO1p8sz160GuD4ugru6C5bywGI5VlUanAKtxxkBqPYbFDNlGsxjWMnxi9Lep%2FX4dUFumKLKbogsL%2FkSLF4bjZrey05ag6%2BmBw9Zjy%2BuVqas7tAVktYIHTHn4SR6zldgUMFklszWn8oQ9DMvcyWOfptxM%2F4odpiQyhnc8etyHBcpq%2FYWfjU5bhUwk0MSTVVdbMCZLG%2FWvw1oHsgCWeuyxFJIJ1%2FEKAmWVLq3q4QctAaznVlG30Maw%2BjwaoYgmWtBoaxrybvHrzkVD4cNms8mIfX%2FQGTFbEv1133KCiQYjakp0bzCspwyCGp6YrZpTzCyGtZxDAIvYGMgjKlMkGRCHbAGsNUvLsLVrmZqaAKIYYWh3unlZhqK7v%2B7yzlbLEPxLM2NMK7B4Ftzh0mxVf72sx7DeM9w5WChVFwYPosgjxbaHkl%2BDvJkafzhnUxHVlyKwtTF3rYqoiFuY3b5tj8ejnLNlMAS3NC7iTCYbrqc2Vh8uAVu8SnY6DOuX9zkuRcjYq1CfLcnUbb0qtiBvdXdFEPLsdVq2KVmpItIegwh8wvD7VwnpNZN3GqYMyVeafeEsJF2YLQXWshoW2jsxm3%2BCXZCGnkMR%2FQWnMFnXDOLUAMuN3DqVRzEsqsJwmhOjfTtG03SlQpAmmmed0BaCZ7uCBlbV5TrguT3oNR5zTY14D2r4C9QVzcHSiNcrSvNkocU5ugsbsqXkfZm7zcu5z7gvSNoDDhKyh7ksT0gSaXKs4H1XKFQj6pnMmay6foXBQ3FPj1V9Se8x%2F%2FQei3t9W5IkahUAoKifUgZwFVsAcR23weDmrTaQkzAuStutOY5D3DxBwdmnBiSBexaCGX5dJXmseGxDeo%2Fn0rOsJnvWA2QpxLD1K1KiZP%2F5gp%2BC415v5ejxwx5baDEDiTPMbVUshiQMrHKTyzQBZJnw7lnPBIPBs01VFd9gsvCK2UsPdk%2FVpRLsQ4fSLxGbi%2FncvpAfj%2BW2QYOa7MMCKeD1frjtcIXmK11cN6SXhu7aZQvtVBvVaoYf3IEymCxcOqQ3m82eS35gOnuYrL7QubzI8CFvBY90%2FRvQ48F0yj2B5RYKH2%2FFlfsCVMPGuz5HpCu4iIrzlJ80Go3qh4GEFmEbOhjl2cXOcwC21L9ULsE2rA21hrhiCDbVl9iQz2GrRvlMo5pMBl86UX8Czg%2BFZCNJDEze1tpHmiB7RYRaRRKJBOBSJnUEJXw6OCyxHTMAW4LMCI85gCqmFcS5TBDgFP0hH7T14MHPTcVT0OGrRqKRTBY%2BnjoF5%2FSbzI4KAj7XY2BESGOraShhjy1Y1%2BYrVyKRWXM6naeZ6quDAN8f58vpnWXAdbKk1%2BvDnucTjmZWS3u0QmAb3O7l%2Fs8DJX5%2F9hZr4HDL5Uo0EkkgrZo429G8cOCyPpMJkFHE6rZxXllWMWqvAFemf%2FfmfMTyB5%2FOgLFktfoJmj0zfPmF2OyudRkUZjYvd3abvPZwl45GV7F4ZSqkMCE8evazEo%2B68hI3P7m68eo4YBM5rVHZ3BiYRMKyVldDqxUJCni0f%2BQIMOzgncRO5HhraysSqfGMoCEE5W2d5YnliYldGNdVZUinFioUQW68UGpBdM2RzfI2HoLpQkACv3n8FCLiqDE3tM%2BKPO1%2B8UIhjXxxdeWj6Rr09UNB9RROELM5hsmKLHf962VWWFkRRSFfVo0B522KCtGxer1Ov8DileJKq%2BZYTvnp38mxYpaBEIXbjvasyMRot3vmCE5ONA2TBhwOytcP1kiJrxyZ1e82CMrnCEAeURB5NwmWT%2F7NvIkQ%2BPffnicQmxdEMZuFVcNxBX3byR5QSfv4nMbhLYpEH%2BAifeI3vCYYx%2FuQ6IIXUDGDSqE8dBPTDMP9YzTjjDToinSoa4aEDRDtSC87vl8Y2xXCRGtKhuLA1j3DssPJRYppHcxOmvbvGxb4OqllSxeH4Y1B9woriseSDV4Nolgh92Pi%2FcLSKZPpa%2FWwFCdnHDx3v6h07GdoOFJlLq1TbEs3HyJn6PG%2FTf%2FH9ie6cY%2BViJA9lUqdQ7f2Be4fFfap2IzSYLG7k1c%2BGDp%2BAFTKJF%2FzufdnZtz7PrrevDZ03GPAaJDjbRA8dGsW6X6cgNmAhSEG%2FUiY%2Fsfiv02O7iVu1LunAAAAAElFTkSuQmCC);display:block;height:55px;margin:0 0 -7px;width:150px}* > #g{margin-left:-2px}#g img{visibility:hidden}* html #g img{visibility:visible}*+html #g img{visibility:visible}
  </style>
  <a href=//www.google.com/ id=g><img src=//www.google.com/images/logo_sm.gif alt=Google></a>
  <p><b>414.</b> <ins>That’s an error.</ins>
  <p>The requested URL <code>/maps/api/browserlocation/json</code>... is too large to process.  <ins>That’s all we know.</ins>

Error: JSON.parse: unexpected character
Source File: resource:///components/NetworkGeolocationProvider.js
Line: 247

*** WIFI GEO: shutdown called
Comment 5 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 18:13:09 PST
Created attachment 584680 [details]
Failed response in a text file

Wow, wrapping sucked on that. Here it is in a txtfile.
Comment 6 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 18:21:38 PST
Created attachment 584683 [details]
Successful response from 8.0.1, same environment

Just for comparison sake, included similar log from 8.0.1, same page, same computer, more or less same SSIDs available.
Comment 7 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-28 18:23:45 PST
Also, occurred to me. Naoki tests from a different part of the building so he'll have less wifi interference for mobile testing. He probably had a different (and possibly smaller) list of SSIDs.
Comment 8 Vlad [QA] 2011-12-28 23:00:16 PST
Hi Geo

I've tested the geolocation with the links provided by you in the description and I always get my location so it's working for me just fine. I've tried this on several profiles and the result is the same: the geolocation is working without any glitches.

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0) Gecko/20100101 Firefox/10.0 beta 2
Comment 9 Vlad [QA] 2011-12-28 23:00:56 PST
BTW i'm running on MacOS X 10.7.2
Comment 10 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-29 09:21:08 PST
I suspect it's a function of how many environmental SSIDs it has to report making the geoloc request URI too long. MoCo building has a bunch. 

Apartments and similar might too, so could be user-relevant.
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-29 09:24:22 PST
Geo, can you work on a regression range? You can use the mozregression tool to simplify the process.
Comment 12 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-12-29 09:31:51 PST
Created attachment 584772 [details]
geo location : nhirata's log

I concur with Geo.  Attached is the log for my geolocation results.
Comment 13 christian 2011-12-29 10:43:58 PST
Three possible candidates from the bugfix list:

[688158] - geo.enable => false should make navigator.geolocation undefined
[689252] - cleanup/remove geo.wifi.* preferences
[702107] - Geolocation Service broken because of access token

There weren't others that dealt with geolocation at first glance.
Comment 14 christian 2011-12-29 10:47:24 PST
I also confirmed just deleting a couple ssids from the url in comment 4 allows the page to work. Sounds like we need to limit the # of basestations sent.

This could be:

1. A change to Firefox, removing or bumping up the limit
2. A change on Google's side, restricting the length of the URL
3. A latent bug that was only triggered due to more basestations being in range of the testers

(or a combination of all 3)
Comment 15 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-29 11:57:26 PST
So I can search for a regression range, but since the geoloc request is grossly different b/w 8.0.1 and 10.0 logs (JSON post vs. URI, looks like) I'm 99% sure that's when the behavior changed. When was that?
Comment 16 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-29 12:48:42 PST
Last good nightly: 2011-11-02
First bad nightly: 2011-11-03

Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=978002c0b0ad&tochange=b8dd6f6f4207

Suspect http://hg.mozilla.org/mozilla-central/rev/392fa68084a8 (Bug 668194 - Geolocation times out and/or does not properly use wifi access points information (awful accuracy) r=mfinkle) which adds all the access points to the URL.
Comment 17 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-29 12:53:44 PST
Thanks Geo.
Comment 18 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-29 12:57:50 PST
Geo, can you do some spotcheck testing to see if this happens on Windows and Linux?
Comment 19 christian 2011-12-29 13:08:06 PST
Assigning to dougt (wrote bug 668194) and ccing mfinkle (reviewed bug 668194)
Comment 20 Aaron Train [:aaronmt] 2011-12-29 13:38:05 PST
Android is affected (bug 713067), this seems like the culprit; changing to all/all.
Comment 21 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-29 14:36:30 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #18)
> Geo, can you do some spotcheck testing to see if this happens on Windows and
> Linux?

Think it's safe to keep it at all, all. It's not in an OS-dependent part of the code, and it's browser/API interaction. Finding it on Android confirms.
Comment 22 Doug Turner (:dougt) 2011-12-30 09:54:41 PST
The geolocation provider on Android is completely different -- this bug and any bug about accuracy on android must be different.



The bug is basically GLS requires the request URI to be under 2000 chars.  Geo Mealer's log shows that the URI to be 2186 chars long.


This is the code that is failing to enforce that limit:

http://mxr.mozilla.org/mozilla-central/source/dom/system/NetworkGeolocationProvider.js#219



I do not see anything obviously wrong with this script.  I also tested this same code with the input data in the web console, and that works fine.


But the logs show that we have this:

providerUrl = providerUrl.substring(0, 1992);

and 

providerUrl.length == 2186.



Mark, any ideas?
Comment 23 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-30 10:58:45 PST
What's the chance this line:

http://mxr.mozilla.org/mozilla-central/source/dom/system/NetworkGeolocationProvider.js#231

providerUrl = encodeURI(providerUrl);

...is expanding back out over the char limit by %hexing special chars? 

Maybe the Doomed clip should happen after the encode?
Comment 24 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-30 11:05:20 PST
Unencoded:

https://maps.googleapis.com/maps/api/browserlocation/json?browser=firefox&sensor=true&wifi=mac:00-1a-1e-15-3b-12|ssid:Mozilla Guest|ss:-48&wifi=mac:00-1a-1e-15-3b-16|ssid:Mozilla Mobile|ss:-48&wifi=mac:00-1a-1e-15-3b-10|ssid:Mozilla|ss:-49&wifi=mac:00-1a-1e-12-70-02|ssid:Mozilla Guest|ss:-55&wifi=mac:00-1a-1e-12-6e-d2|ssid:Mozilla Guest|ss:-58&wifi=mac:00-1a-1e-12-6e-d6|ssid:Mozilla Mobile|ss:-59&wifi=mac:00-1a-1e-12-6e-d0|ssid:Mozilla|ss:-60&wifi=mac:00-1a-1e-15-3e-21|ssid:Mozilla-G|ss:-61&wifi=mac:00-1a-1e-15-3e-22|ssid:Mozilla Guest|ss:-62&wifi=mac:00-1a-1e-12-6e-c1|ssid:Mozilla-G|ss:-62&wifi=mac:d8-c7-c8-95-19-f1|ssid:Mozilla-G|ss:-63&wifi=mac:00-1a-1e-12-70-12|ssid:Mozilla Guest|ss:-63&wifi=mac:00-1a-1e-12-70-16|ssid:Mozilla Mobile|ss:-63&wifi=mac:00-1a-1e-12-70-10|ssid:Mozilla|ss:-63&wifi=mac:00-1a-1e-15-3e-30|ssid:Mozilla|ss:-64&wifi=mac:00-1a-1e-15-3e-32|ssid:Mozilla Guest|ss:-65&wifi=mac:00-1a-1e-15-3e-36|ssid:Mozilla Mobile|ss:-66&wifi=mac:00-24-b2-c6-87-20|ssid:Cambridge|ss:-67&wifi=mac:d8-c7-c8-94-8e-ee|ssid:Mozilla Mobile|ss:-69&wifi=mac:d8-c7-c8-94-8e-ea|ssid:Mozilla Guest|ss:-70&wifi=mac:00-1a-1e-54-57-06|ssid:Mozilla Mobile|ss:-71&wifi=mac:d8-c7-c8-94-8e-e8|ssid:Mozilla|ss:-71&wifi=mac:d8-c7-c8-95-19-fe|ssid:Mozilla Mobile|ss:-71&wifi=mac:d8-c7-c8-95-19-fa|ssid:Mozilla Guest|ss:-72&wifi=mac:00-24-b2-c9-0f-7e|ssid:AnnounceAnnex-2.4-G|ss:-72&wifi=mac:d8-c7-c8-95-19-f8|ssid:Mozilla|ss:-72&wifi=mac:00-1a-1e-54-57-02|ssid:Mozilla Guest|ss:-72&wifi=mac:d8-c7-c8-94-92-08|ssid:Mozilla|ss:-72&wifi=mac:d8-c7-c8-94-92-0a|ssid:Mozilla Guest|ss:-72&wifi=mac:d8-c7-c8-94-92-0e|ssid:Mozilla Mobile|ss:-72&wifi=mac:d8-c7-c8-94-93-6a|ssid:Mozilla Guest|ss:-73&wifi=mac:00-1a-1e-66-2c-72|ssid:Mozilla Guest|ss:-73&wifi=mac:d8-c7-c8-94-93-68|ssid:Mozilla|ss:-73&wifi=mac:00-1a-1e-66-2c-76|ssid:Mozilla Mobile|ss:-73&wifi=mac:d8-c7-c8-94-93-6e|ssid:Mozilla Mobile|ss:-73&wifi=mac:00-1a-1e-66-2c-70|ssid:Mozilla|ss:-73&wifi=mac:d8-c7-c8-95-19-f2|ssid:Mozilla Guest|ss:-74

I count 1993 chars vs. 2187 on the original (dunno why I have one extra, maybe the CR?) Supports my guess in comment 23.
Comment 25 Doug Turner (:dougt) 2011-12-30 11:28:36 PST
yeah, geo, that makes sense.  :D
Comment 26 Doug Turner (:dougt) 2011-12-30 11:37:00 PST
Created attachment 585005 [details] [diff] [review]
patch v.1

possible fix - pushed to try for verification builds.
Comment 27 Doug Turner (:dougt) 2011-12-30 11:40:17 PST
Created attachment 585006 [details] [diff] [review]
patch v.1
Comment 28 Doug Turner (:dougt) 2011-12-30 11:41:28 PST
better fix, pushed to try for verification builds:
  https://tbpl.mozilla.org/?tree=Try&rev=2f9aff253044
Comment 29 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-30 11:48:17 PST
Comment on attachment 585006 [details] [diff] [review]
patch v.1

LGTM, r+. 

Slight logic change in that we'll always clip <2000 now instead of only clipping in the case of accessPoints. Think that's benign (and probably desired).
Comment 30 Doug Turner (:dougt) 2011-12-30 15:26:00 PST
*** Bug 668194 has been marked as a duplicate of this bug. ***
Comment 31 Mozilla RelEng Bot 2011-12-30 18:40:49 PST
Try run for 2f9aff253044 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=2f9aff253044
Results (out of 67 total builds):
    exception: 1
    success: 60
    warnings: 5
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/dougt@mozilla.com-2f9aff253044
 Timed out after 06 hours without completing.
Comment 32 Doug Turner (:dougt) 2011-12-30 21:50:45 PST
ignore the android test failures.

Geo, does this build work as expected?
Comment 33 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2011-12-31 13:03:07 PST
Doug, build notification came in after I'd already gone home and of course I need the mass of MoCo SSIDs to test with. Can this wait until 1/3? 

If not, I'll stop by the office this weekend. Let me know.
Comment 34 Doug Turner (:dougt) 2011-12-31 17:35:35 PST
1/3 is fine.
Comment 35 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2012-01-03 12:33:30 PST
Doug, try build works much better. Current nightly failed to get coords, try build got them on first try several seconds later (so same set of SSIDs).
Comment 36 Alex Keybl [:akeybl] 2012-01-03 17:48:30 PST
The patch looks low risk - if you agree, let's get this nominated/approved for FF10 Beta and FF11 Aurora.
Comment 37 Doug Turner (:dougt) 2012-01-03 20:14:43 PST
https://hg.mozilla.org/mozilla-central/rev/200a8d1fb452
Comment 38 Doug Turner (:dougt) 2012-01-03 20:16:39 PST
Comment on attachment 585006 [details] [diff] [review]
patch v.1

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
geolocation will not work in high density areas

Testing completed (on m-c, etc.):
try build verified by geo

Risk to taking this patch (and alternatives if risky):
areas of high wifi access point density will not report a geolocation
Comment 39 Henrik Skupin (:whimboo) 2012-01-04 01:28:59 PST
Let me ask how we can check-in a patch without a proper review from a component peer?
Comment 40 Alex Keybl [:akeybl] 2012-01-04 15:20:27 PST
Comment on attachment 585006 [details] [diff] [review]
patch v.1

[Triage Comment]
Approving for Aurora/Beta. I'll leave the correctness of checking in without proper peer reviews to yall
Comment 41 Doug Turner (:dougt) 2012-01-05 08:50:18 PST
Henrik, trivial patch needed a simple review.  Geo discovered the problem and told me how to fix it.  If he'd written a patch, I would have r+'ed it and pushed it.  Does that answer your questions?
Comment 43 paul 2012-01-08 04:09:20 PST
Can anybody tell me when this fix will be reflected in the Ubuntu Aurora PPA, just so I can confirm it has resolved my issue?
Comment 44 Doug Turner (:dougt) 2012-01-08 20:30:51 PST
Hey Paul, no idea.
Comment 45 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-01-17 16:32:23 PST
*** Bug 713067 has been marked as a duplicate of this bug. ***
Comment 46 Paul Silaghi, QA [:pauly] 2012-02-22 07:15:19 PST
http://mozqa.com/data/firefox/geolocation/position.html
http://www.browsergeolocation.com/
http://html5demos.com/geo
Everything looks ok on FF 10.0.2 on Win 7, Mac OS X 10.6 and Ubuntu 11.10

http://www.browsergeolocation.com/ and
http://html5demos.com/geo
sometimes are not working on FF 11b3 on all platforms.
Comment 47 Jason Smith [:jsmith] 2012-02-27 22:57:20 PST
The test case below appears to not work. Should I reopen? Or is this a problem with the test case?

1) http://mozqa.com/data/firefox/geolocation/position.html
2) Click Share
3) Reload http://mozqa.com/data/firefox/geolocation/position.html
4) Click Share

Expected:

Coordinates of my geolocation.

Actual:

Undefined is shown.
Comment 48 Paul Silaghi, QA [:pauly] 2012-02-28 00:07:49 PST
I'm not able to reproduce.
What Firefox and what OS are you trying on?
Comment 49 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-28 10:59:16 PST
@Paul, this needs to be tested at a location with a lot of access points for the same network (like the office in Mountain View).

@Jason, can you test this as per comment 3 and comment 4?
Comment 50 Jason Smith [:jsmith] 2012-02-28 15:27:44 PST
Firefox version: 11.0 beta 4
OS: Windows 7
Comment 51 Jason Smith [:jsmith] 2012-02-28 15:28:16 PST
OS: Windows 7 64-bit to be more specific
Comment 52 Jason Smith [:jsmith] 2012-02-28 15:37:35 PST
Created attachment 601433 [details]
Console Log Wifi Geo Share Location Twice Quickly

Attached log.
Comment 53 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2012-02-28 15:50:35 PST
I can reproduce Jason's results on OS X Nightly, Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:13.0) Gecko/20120228 Firefox/13.0a1

Log looks quite similar so I won't repost. The second geo request isn't happening in the log after approving the share dialog.
Comment 54 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2012-02-28 15:57:17 PST
URL being sent is under 2000 chars, btw, so likely not related to this bug. Recommend filing a new one for c#47
Comment 55 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2012-02-28 16:17:36 PST
Fix has been verified in 11.0b4 by Jason Smith above, and in.0.2 release by me. I've also verified in 13.0a1 nightly for good measure. 

Note that failure of the re-request per c#47 does not affect verification on this bug, which was strictly about the URL length limit not being honored correctly. The first request going through is adequate verification.

Marking all status verified and [qa!]
Comment 56 Geo Mealer [:geo] -- This account is inactive after 2015-07-07 2012-02-28 16:18:07 PST
Oops, 10.0.2 release above.

Note You need to log in before you can comment on or make changes to this bug.